# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>

# From https://mpr.makedeb.org
# Contributor: Thesting
pkgname=postman
pkgver=10.6.0
pkgrel=0
pkgdesc="Build, test, and document your APIs faster"
arch=('amd64')
url="https://www.getpostman.com"
options=(!strip)
license=('custom')
source=(
	"Postman-linux-x64-${pkgver}.tar.gz::https://dl.pstmn.io/download/version/${pkgver}/linux64"
	"postman.desktop"
)
depends=(libxss1 libnss3 libgtk-3-0)
sha256sums=('4da0239e8b944d5f49c8fac35d7eb2cf10f4a45d885c9c799b1598d0021c0a3c'
	'0cc7ddb27614cddf66f40b55cdf37c0803b7aee0cbc07ae993918421a64e7335')

package() {
	# Install files
	install -dm755 "${pkgdir}/opt/"
	cp -r "Postman" "${pkgdir}/opt/postman"
	install -dm755 "${pkgdir}/usr/bin"
	ln -s "/opt/postman/Postman" "${pkgdir}/usr/bin/postman"

	# Desktop file
	install -D -m644 "postman.desktop" \
	"${pkgdir}/usr/share/applications/postman.desktop"

	# Icon
	install -d -m755 "${pkgdir}/usr/share/icons/hicolor/128x128/apps"
	ln -s "/opt/postman/app/resources/app/assets/icon.png" \
	"${pkgdir}/usr/share/icons/hicolor/128x128/apps/postman.png"
}
